# -*- encoding: binary -*-
# Copyright (C) 2013, Eric Wong <normalperson@yhbt.net> and all contributors
# License: GPLv3 or later (https://www.gnu.org/licenses/gpl-3.0.txt)
class Yahns::Sigevent # :nodoc:
  attr_reader :to_io
  def initialize
    @to_io, @wr = Kgio::Pipe.new
    @to_io.close_on_exec = @wr.close_on_exec = true
  end

  def kgio_wait_readable
    @to_io.kgio_wait_readable
  end

  def sev_signal
    @wr.kgio_write(".")
  end

  def yahns_step
    # 11 byte strings -> no malloc on YARV
    while String === @to_io.kgio_tryread(11)
    end
    :wait_readable
  end

  def close
    @to_io.close
    @wr.close
  end
end
