# Copyright (C) 2013, Eric Wong <normalperson@yhbt.net> and all contributors
# License: GPLv3 or later (https://www.gnu.org/licenses/gpl-3.0.txt)
require_relative 'helper'

class TestFdmap < Testcase
  def test_fdmap_negative
    fdmap = Yahns::Fdmap.new(Logger.new($stderr), -5)
    nr = fdmap.instance_variable_get :@client_expire_threshold
    assert_operator nr, :>, 0
    assert_equal nr, Process.getrlimit(:NOFILE)[0] - 5
  end

  def test_fdmap_float
    fdmap = Yahns::Fdmap.new(Logger.new($stderr), 0.5)
    nr = fdmap.instance_variable_get :@client_expire_threshold
    assert_operator nr, :>, 0
    assert_equal nr, Process.getrlimit(:NOFILE)[0]/2
  end
end
