# Copyright (C) 2013, Eric Wong <normalperson@yhbt.net> and all contributors
# License: GPLv3 or later (https://www.gnu.org/licenses/gpl-3.0.txt)
Gem::Specification.new do |s|
  manifest = File.read('.gem-manifest').split(/\n/)
  s.name = %q{yahns}
  s.version = ENV["VERSION"]
  s.authors = ["yahns hackers"]
  s.summary = "sleepy, multi-threaded, non-blocking application server"
  s.description = File.read("README").split(/\n\n/)[1].strip
  s.email = %q{yahns@yhbt.net}
  s.executables = manifest.grep(%r{\Abin/}).map { |s| s.sub(%r{\Abin/}, "") }
  s.files = manifest
  s.add_dependency(%q<kgio>, '~> 2.8')
  s.add_dependency(%q<sleepy_penguin>, '~> 3.2')
  s.add_dependency(%q<sendfile>, '~> 1.2.1')
  s.add_dependency(%q<unicorn>, '~> 4.6', '>= 4.6.3')

  # minitest is standard in Ruby 2.0, 4.3 is packaged with Ruby 2.0.0,
  # 4.7.5 with 2.1.  We work with minitest 5, too.  6.x does not exist
  # at the time of this writing.  We should always be compatible with
  # minitest (or test-unit) library packaged with the latest official
  # Matz Ruby release.
  s.add_development_dependency(%q<minitest>, '>= 4.3', '< 6.0')

  s.homepage = "http://yahns.yhbt.net/README"
  s.licenses = "GPLv3+"
end
